For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/workflow/events/post-api-workflow-v1events-track.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
Track event
POST
/api/workflow/v1/events/track
1import { Reloop } from "reloop-email";2
3const reloop = new Reloop({ apiKey: "rl_123456789" });4
5const { event, eventError } = await reloop.events.track({6 event: "user.signed_up",7 email: "john.doe@example.com",8 properties: { plan: "pro" },9});10if (eventError) throw eventError;1{2 "success": true,3 "eventId": "evt_123456789",4 "eventKey": "trigger.user.signed_up",5 "contactId": "con_123456789",6 "contactCreated": false,7 "enrollments": 1,8 "properties": {9 "plan": "pro"10 }11}Body Parameters
eventstringRequired
The event key, e.g. user.signed_up. The "trigger." prefix is optional.
- Minimum length:
1 - Maximum length:
128
contactIdstring
Contact the event happened to. Pass this or email.
emailstring
Contact email. Creates the contact if it does not exist yet.
firstNamestring
Used when the contact is created from email
- Maximum length:
255
lastNamestring
Used when the contact is created from email
- Maximum length:
255
propertiesobject
Values for the event's properties. Conditions read them as trigger.<name>.
Custom properties
keystringRequired
The property key.
valuestringRequired
The property value.
Was this page helpful?